###############################################################################
###############################################################################
##
##  Copyright (C) 2004-2005 Red Hat, Inc.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################

Name: magma
Version: 1.0.6
Release: 0
License: GPL
Group: System Environment/Libraries
Summary: A cluster/lock manager API abstraction library
ExclusiveArch: i686 ia64 x86_64
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
A high level cluster/lock manager API abstraction library.

%package devel
Group: Development/Libraries
Summary: A cluster/lock manager API abstraction library
Requires: magma = %{version}-%{release}

%description devel
A cluster/lock manager API abstraction static library.

%prep
%setup -q -n %{name}-%{version}

%build
./configure --libdir=/%{_lib} --mandir=%{_mandir} --slibdir=%{_libdir}
sed -i '/RELEASE_MAJOR/s/= .*/= 1/' make/defines.mk
sed -i '/RELEASE_MINOR/s/= .*/= 0.0/' make/defines.mk
sed -i '/RELEASE /s/= .*/= %version/' make/defines.mk
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
/sbin/circleping
/sbin/cluster_cmd
/sbin/magma_tool
/%{_lib}/libmagma.so*
/%{_lib}/libmagmamsg.so*
/%{_lib}/libmagma_nt.so*

%doc
%{_mandir}/man8/magma_tool.8.gz

%files devel
%defattr(-,root,root,-)
%{_includedir}/magma-build.h
%{_includedir}/magma.h
%{_includedir}/magmamsg.h
%{_libdir}/libmagma.a
%{_libdir}/libmagmamsg.a
%{_libdir}/libmagma_nt.a

%doc
%{_mandir}/man3/clu_connect.3.gz
%{_mandir}/man3/clu_disconnect.3.gz
%{_mandir}/man3/clu_get_event.3.gz

%changelog
* Fri May 06 2005 Chris Feist <cfeist@redhat.com>
- .spec file cleanup

* Mon Dec 20 2004 Chris Feist <cfeist@redhat.com>
- various bug fixes (new upstream sources)

* Fri Dec 10 2004 Chris Feist <cfeist@redhat.com>
- various bug fixes (new upstream sources)

* Thu Nov 18 2004 Chris Feist <cfeist@redhat.com>
- various bug fixes (new upstream sources)

* Fri Oct 22 2004 Chris Feist <cfeist@redhat.com>
- Various bug fixes and new upstream sources.

* Fri Aug 13 2004 Jon Brassow <jbrassow@redhat.com>
- Various lock and other bug fixes

* Tue Jun 22 2004 Jon Brassow <jbrassow@redhat.com> 
- be sure .so links are also made/included

* Tue Jun 22 2004 Jon Brassow <jbrassow@redhat.com> 
- Don't use hardcoded version numbers in the files section

* Tue Jun 22 2004 Jon Brassow <jbrassow@redhat.com> 
- Fix conflicting types in .h and .c files

* Thu Jun 17 2004 Jon Brassow <jbrassow@redhat.com> 
- Initial build.
